# norootforbuild

%define soname 0

Summary:        LAME Ain't an MP3 Encoder
Name:           lame
Version:        3.98.2
%define pkg_version 398-2
Release:        13.2
License:        GNU Library General Public License version 2 (LGPL v2)
URL:            http://lame.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
# http://prdownloads.sourceforge.net/lame/lame-%{pkg_version}.tar.gz
Source:         lame-%{pkg_version}.tar.bz2
# http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/media-sound/lame/files/lame-3.98-shared-frontend.patch
Patch2:		lame-3.98-shared-frontend.patch
Patch3:		lame-398-2_csv.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc glibc-devel make pkgconfig ncurses-devel nasm

BuildRequires:	libsndfile libsndfile-devel flac-devel
%if 0%{?suse_version}
BuildRequires:	gtk-devel
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires:	gtk+-devel
%endif
BuildRequires:	autoconf automake libtool
Requires:	libmp3lame%{soname} = %{version}-%{release}

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n libmp3lame%{soname}
Summary:        LAME Ain't an MP3 Encoder
Group:		System/Libraries
Provides:	libmp3lame%{soname} = %{version}-%{release}
Provides:	liblame = %{version}-%{release}
Provides:	libmp3lame = %{version}-%{release}

%description -n libmp3lame%{soname}
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n libmp3lame-devel
Summary:        LAME Ain't an MP3 Encoder
Group:		Development/Libraries/C and C++
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	liblame-devel = %{version}-%{release}

%description -n libmp3lame-devel
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n lame-mp3rtp
Summary:	MP3 Encoder for RTP Streaming
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	mp3rtp = %{version}-%{release}

%description -n lame-mp3rtp
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.

This package includes "mp3rtp", an MP3 encoder with RTP streaming of the output.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n lame-mp3x
Summary:	MP3 Frame Analyzer
Group:          Productivity/Multimedia/Sound/Visualization
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	mp3x = %{version}-%{release}

%description -n lame-mp3x
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.

This package includes "mp3x", an MP3 frame analyzer with a graphical
frontend.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%prep
%setup -q -n "lame-%{pkg_version}"
%patch2 -p1
%patch3 -p1

%build
autoreconf -fiv

LIBS="-lm" \
CFLAGS="%{optflags}" \
%configure \
	--enable-nasm \
	--enable-decoder \
        --without-vorbis \
        --enable-analyzer=no \
        --enable-brhist \
        --disable-debug \
	--enable-mp3rtp \
	--enable-mp3x \
	--with-fileio=sndfile \
	--disable-static
 
%__make

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"

%post -n libmp3lame%{soname} -p /sbin/ldconfig

%postun -n libmp3lame%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%doc LICENSE USAGE COPYING API TODO README* HACKING ChangeLog 
%{_bindir}/lame
%doc %{_mandir}/man1/lame.1*

%files -n libmp3lame%{soname}
%defattr(-,root,root)
%{_libdir}/libmp3lame.so.%{soname}
%{_libdir}/libmp3lame.so.%{soname}.*.*

%files -n libmp3lame-devel
%defattr(-,root,root)
%{_includedir}/lame
%{_libdir}/libmp3lame.so
%{_libdir}/libmp3lame.la

%files -n lame-mp3rtp
%defattr(-,root,root)
%{_bindir}/mp3rtp

%files -n lame-mp3x
%defattr(-,root,root)
%{_bindir}/mp3x

%changelog
* Thu Feb 25 2010 Carsten Schoene <cs@linux-administrator.com> - 3.98.2-13
- reimport into BS

* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
